API server

https://app.coolify.io/api/v1

Choose where to send API requests

This changes the request URL and code examples on every endpoint page.

API server type

Requests will use

https://app.coolify.io/api/v1

Use only a Coolify URL you trust. Sending a test request also sends the API token you enter.

PATCH
/applications/{uuid}/scheduled-tasks/{task_uuid}

Update a scheduled task for an application.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

uuid*string

UUID of the application.

task_uuid*string

UUID of the scheduled task.

Request Body

application/json

Scheduled task data

TypeScript Definitions

Use the request body type in TypeScript.

name?string

The name of the scheduled task.

command?string

The command to execute.

frequency?string

The frequency of the scheduled task.

container?string

The container where the command should be executed.

timeout?integer

The timeout of the scheduled task in seconds.

Default300
enabled?boolean

The flag to indicate if the scheduled task is enabled.

Defaulttrue

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://app.coolify.io/api/v1/applications/string/scheduled-tasks/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": 0,  "uuid": "string",  "enabled": true,  "name": "string",  "command": "string",  "frequency": "string",  "container": "string",  "timeout": 0,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
{  "message": "Unauthenticated."}
{  "message": "Resource not found."}
{  "message": "Validation error.",  "errors": {    "name": [      "The name field is required."    ],    "api_url": [      "The api url field is required.",      "The api url format is invalid."    ]  }}